Bug 1304097 - (ctk) Review Request: ctk - the Common Toolkit for biomedical imaging
Review Request: ctk - the Common Toolkit for biomedical imaging
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2016-02-02 16:17 EST by Dmitry Mikhirev
Modified: 2016-04-06 18:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 18:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Mikhirev 2016-02-02 16:17:41 EST
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/bizdelnick/neuro/ctk.git/plain/ctk.spec?id=0cbf527233d2d4534f49ad8befb8da7ec83f2a06
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/bizdelnick/neuro/fedora-rawhide-x86_64/00157576-ctk/ctk-0.1-0.1.20151015gitbdc8cac.fc24.src.rpm
Description: The Common Toolkit is a community effort to provide support code for medical image analysis, surgical navigation, and related projects.
Fedora Account System Username: bizdelnick
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-04-03 23:05:05 EDT
Is it really worth the trouble to split the plugin-framework and dicom and widgets subpackages? There're couple hundred kb each.

Summary is not very useful. Maybe:
Summary: Library for medical image analysis, surgical navigation, and related purposes

Doc subpackage must be noarch!

+ license is acceptable (ASL 2)
+ license file is present, %license is used
+ package name follows guidelines
+ provides/requires look OK
+ scriptlets look OK
+ dependencies between subpackages look OK
+ latest version

rpmlint:
ctk-devel.i686: W: no-documentation
ctk-dicom.i686: W: no-documentation
ctk-plugin-framework.i686: W: no-documentation
ctk-widgets.i686: W: spelling-error Summary(en_US) biomedical -> bio medical, bio-medical, medical
ctk-widgets.i686: W: spelling-error %description -l en_US biomedical -> bio medical, bio-medical, medical
ctk-widgets.i686: W: shared-lib-calls-exit /usr/lib/libCTKWidgets.so.0.1.0 exit@GLIBC_2.0
ctk-widgets.i686: W: no-documentation
8 packages and 0 specfiles checked; 0 errors, 7 warnings.
All OK.

Package is APPROVED. Please fix the noarch issue and the summary.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-04-03 23:05:47 EDT
The summary as specified in the bug title is also OK.
Comment 3 Dmitry Mikhirev 2016-04-04 16:48:30 EDT
Thank you for the review!

> Is it really worth the trouble to split the plugin-framework and dicom and widgets subpackages? There're couple hundred kb each.

Yes, but e. g. dicom subpackage depends on dcmtk that is sensibly bigger.
Comment 4 Gwyn Ciesla 2016-04-05 08:52:48 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ctk

Note You need to log in before you can comment on or make changes to this bug.